%define name	ati
%define cvs	20040607
%define version	4.4.0
%define release	1mdk

%define x11prefix /usr/X11R6
%define x11libdir %{x11prefix}/lib
%define x11moddir %{x11libdir}/modules

%define x11topdir %{_topdir}/BUILD/xorg-x11-6.7.0/xc

Summary:	Gatos enhanced ATI drivers
Name:		%{name}
Version:	%{version}
Release:	0.%{cvs}.%{release}
License:	GPL
Group:		System/XFree86
URL:		http://gatos.sourceforge.net
Source:		%{name}.%{version}-cvs%{cvs}.tar.bz2
Patch1:		ati.2_fix_compile.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	XFree86-devel >= 4.3

%description
These are the experimental ATI drivers from gatos.sourceforge.net


%prep
%setup -n %{name}.%{version}
%patch1 -p1

%build
xmkmf %{x11topdir}
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{x11moddir}/atidri
cd %{x11topdir}/lib/GL/mesa/src/drv/r200
install -c -m 0444 r200_dri.so $RPM_BUILD_ROOT/%{x11moddir}/atidri
cd %{x11topdir}/lib/GL/mesa/src/drv/radeon
install -c -m 0444 radeon_dri.so $RPM_BUILD_ROOT/%{x11moddir}/atidri

mkdir -p $RPM_BUILD_ROOT/%x11moddir/atidrivers
mv $RPM_BUILD_ROOT%{x11moddir}/drivers/* $RPM_BUILD_ROOT/%{x11moddir}/atidrivers
rm -rf $RPM_BUILD_ROOT/%{x11moddir}/drivers

%pre
mkdir -p %{x11moddir}/dri_old
mv %{x11moddir}/dri/r200_dri.so %{x11moddir}/dri_old
mv %{x11moddir}/dri/radeon_dri.so %{x11moddir}/dri_old

mkdir -p %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/ati_drv.o %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/atimisc_drv.o %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/r128_drv.o %{x11moddir}/drivers_old
mv %{x11moddir}/drivers/radeon_drv.o %{x11moddir}/drivers_old

%post
mv %{x11moddir}/atidri/* %{x11moddir}/dri
rm -rf %{x11moddir}/atidri
mv %{x11moddir}/atidrivers/* %{x11moddir}/drivers
rm -rf %{x11moddir}/atidrivers

%postun
mv %{x11moddir}/dri_old/* %{x11moddir}/dri
mv -f %{x11moddir}/drivers_old/* %{x11moddir}/drivers
rm -rf %{x11moddir}/drivers_old
rm -rf %{x11moddir}/multimedia

%clean
rm -rf %RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.gatos
%{x11moddir}/atidri
%{x11moddir}/atidrivers
%{x11moddir}/multimedia

%changelog
* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 4.3.20030708-1mdk
- DIRM
- from Spencer Anderson <sdander@oberon.ark.com> :
  - exp 10

* Thu Apr 17 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-7mdk
- try to fix changelog (my very bad)

* Wed Apr 16 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-6mdk
- rebuild

* Wed Apr 16 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-5mdk
- rebuild

* Sat Apr 12 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-4mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
  - build with dri .so files for r200 and radeon
  - buildrequires XFree86-devel

* Fri Apr 04 2003 Pascal Terjan <CMoi@tuxfamily.org>  4.3.20030307-3mdk
- avoid losing X drivers when uninstalling/updating if XFree had been 
  updated since ati.2 installation.

* Sat Mar 13 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-2mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
	-update description (no DRI)

* Sat Mar 8 2003 Austin Acton <aacton@yorku.ca> 4.3.20030307-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
	- update r128 and radeon drivers
	- keep non ati drivers in same directory

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 4.3.20030304-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>:
	- intitial Mandrake package
	- fix file conflicts (thx flepied, made me think)

